summaryrefslogtreecommitdiff
path: root/jh-mvn-localrepo.sh
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2013-05-12 19:23:16 -0400
committerLuke Shumaker <LukeShu@sbcglobal.net>2013-05-12 19:23:16 -0400
commit272f57b2a4d9f2c8d5ac3c46962f25c55dfbb270 (patch)
tree90055d8d7e394ae5377200ee2ec00afa4b861f0b /jh-mvn-localrepo.sh
parentb2c326dc625c0ee7cdfb5763b036db6893db9efd (diff)
simplify by moving usage() into jh-help, jh no longer needs to be included
Diffstat (limited to 'jh-mvn-localrepo.sh')
-rw-r--r--jh-mvn-localrepo.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/jh-mvn-localrepo.sh b/jh-mvn-localrepo.sh
index 14ea778..e74e7a9 100644
--- a/jh-mvn-localrepo.sh
+++ b/jh-mvn-localrepo.sh
@@ -1,13 +1,12 @@
#!/bin/bash
-. jh
if [[ $# > 0 ]]; then
- usage
- exit 1
+ jh-help $0 >>/dev/stderr
+ exit 1
fi
if [ -e /etc/maven/settings.xml ]; then
- xml sel -T -t -v "//*[local-name()='localRepository']" -n /etc/maven/settings.xml
+ xml sel -T -t -v "//*[local-name()='localRepository']" -n /etc/maven/settings.xml
else
- echo /usr/share/maven/repository
+ echo /usr/share/maven/repository
fi